summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--composer.json26
-rwxr-xr-xmakesrc.sh31
-rw-r--r--php-sabre-event6.spec59
3 files changed, 72 insertions, 44 deletions
diff --git a/composer.json b/composer.json
index 0d3ec06..426f6f1 100644
--- a/composer.json
+++ b/composer.json
@@ -16,7 +16,7 @@
"homepage": "http://sabre.io/event/",
"license": "BSD-3-Clause",
"require": {
- "php": "^7.1 || ^8.0"
+ "php": "^8.2"
},
"authors": [
{
@@ -46,9 +46,13 @@
}
},
"require-dev": {
- "friendsofphp/php-cs-fixer": "~2.17.1||^3.63",
- "phpstan/phpstan": "^0.12",
- "phpunit/phpunit" : "^7.5 || ^8.5 || ^9.6"
+ "friendsofphp/php-cs-fixer": "^3.95",
+ "phpstan/phpstan": "^2.1",
+ "phpstan/phpstan-phpunit": "^2.0",
+ "phpstan/phpstan-strict-rules": "^2.0",
+ "phpstan/extension-installer": "^1.4",
+ "phpunit/phpunit": "^10.5",
+ "rector/rector": "^2.4"
},
"scripts": {
"phpstan": [
@@ -57,6 +61,12 @@
"cs-fixer": [
"PHP_CS_FIXER_IGNORE_ENV=true php-cs-fixer fix"
],
+ "rector-check": [
+ "rector process --dry-run"
+ ],
+ "rector-fix": [
+ "rector process"
+ ],
"phpunit": [
"phpunit --configuration tests/phpunit.xml"
],
@@ -65,5 +75,13 @@
"composer cs-fixer",
"composer phpunit"
]
+ },
+ "config": {
+ "allow-plugins": {
+ "phpstan/extension-installer": true
+ },
+ "platform": {
+ "php": "8.2"
+ }
}
}
diff --git a/makesrc.sh b/makesrc.sh
index 37cb6a2..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,25 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-rm -rf $PROJECT-$COMMIT
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
-echo "Done."
+ echo "Done."
+fi
diff --git a/php-sabre-event6.spec b/php-sabre-event6.spec
index f767c29..41c0956 100644
--- a/php-sabre-event6.spec
+++ b/php-sabre-event6.spec
@@ -1,8 +1,8 @@
-# remirepo/fedora spec file for php-sabre-event5
+# remirepo/fedora spec file for php-sabre-event6
#
-# Copyright (c) 2013-2024 Remi Collet
-# License: CC-BY-SA-4.0
-# http://creativecommons.org/licenses/by-sa/4.0/
+# SPDX-FileCopyrightText: Copyright 2013-2026 Remi Collet
+# SPDX-License-Identifier: CECILL-2.1
+# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
# Please, preserve the changelog entries
#
@@ -10,8 +10,6 @@
%bcond_without tests
# Github
-%global gh_commit 86d57e305c272898ba3c28e9bd3d65d5464587c2
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sabre-io
%global gh_project event
# Packagist
@@ -21,37 +19,40 @@
%global ns_vendor Sabre
%global ns_project Event
# For RPM
-%global major 5
+%global major 6
Name: php-%{pk_vendor}-%{pk_project}%{major}
Summary: Lightweight library for event-based programming
-Version: 5.1.7
+Version: 6.1.0
Release: 1%{?dist}
URL: http://sabre.io/event
License: BSD-3-Clause
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
%if %{with tests}
-BuildRequires: php(language) >= 7.1
-BuildRequires: php-spl
+BuildRequires: php(language) >= 8.2
# From composer.json, "require-dev": {
-# "friendsofphp/php-cs-fixer": "~2.17.1",
-# "phpstan/phpstan": "^0.12||^3.63",
-# "phpunit/phpunit" : "^7.5 || ^8.5 || ^9.6"
-BuildRequires: phpunit9 >= 9.6
-%global phpunit %{_bindir}/phpunit9
+# "friendsofphp/php-cs-fixer": "^3.95",
+# "phpstan/phpstan": "^2.1",
+# "phpstan/phpstan-phpunit": "^2.0",
+# "phpstan/phpstan-strict-rules": "^2.0",
+# "phpstan/extension-installer": "^1.4",
+# "phpunit/phpunit": "^10.5",
+# "rector/rector": "^2.4"
+BuildRequires: phpunit10 >= 10.5
+%global phpunit %{_bindir}/phpunit10
# Autoloader
BuildRequires: php-composer(fedora/autoloader)
%endif
# From composer.json, "require": {
-# "php": "^7.1 || ^8.0"
-Requires: php(language) >= 7.1
-# From phpcompatinfo report for version 5.0.2
-Requires: php-spl
+# "php": "^8.2"
+Requires: php(language) >= 8.2
+# From phpcompatinfo report for version 6.0.1
+# Only spl
# Autoloader
Requires: php-composer(fedora/autoloader)
@@ -72,7 +73,7 @@ Autoloader: %{_datadir}/php/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
cat << 'EOF' | tee lib/autoload.php
<?php
@@ -108,13 +109,13 @@ exit (Sabre\Event\Version::VERSION === "%{version}" ? 0 : 1);
%if %{with tests}
: Run upstream test suite against installed library
ret=0
-for cmdarg in "php %{phpunit}" php81 php82 php83 php84; do
+for cmdarg in "php %{phpunit}" php82 php83 php84 php85; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit9} \
+ $1 ${2:-%{_bindir}/phpunit10} \
--bootstrap=%{buildroot}%{_datadir}/php/%{ns_vendor}/%{ns_project}%{major}/autoload.php \
--configuration tests/phpunit.xml \
- --verbose || ret=1
+ || ret=1
fi
done
exit $ret
@@ -132,6 +133,16 @@ exit $ret
%changelog
+* Tue Apr 28 2026 Remi Collet <remi@remirepo.net> - 6.1.0-1
+- update to 6.1.0
+- raise dependency on PHP 8.2
+
+* Thu Feb 13 2025 Remi Collet <remi@remirepo.net> - 6.0.1-1
+- update to 6.0.1
+- raise dependency on PHP 7.4
+- rename to php-sabre-event6
+- install in /usr/share/php/Sabre/Event6
+
* Wed Aug 28 2024 Remi Collet <remi@remirepo.net> - 5.1.7-1
- update to 5.1.7 (no change, CS only)